************************************************************************
*  gl:   Legendre-Gauss-Labatto points
*  wgt:  weights on the Legendre-Gauss-Labatto points
************************************************************************
      implicit none
      integer max_n
      parameter ( max_n = 1024)

      integer n,level
      real*8  hx
 
      real*8 gl(max_n+1),wgt(max_n+1)
      real*8 wksp(3*(max_n+1))

      level=5
      hx=1.d0

      print'("The degree of polynomial: n=",$)'
      read*,n

      if(n.gt.max_n)then
          print*,"Error: n is too large: Choose n <=",max_n
          stop
      endif
 
      call legendre(n,gl,wgt,wksp,level)
      call normaliz(n,level,hx,gl,wgt)
 
      stop
      end

