!=======================================================================
      subroutine normaliz(n,level,hx,gl,wgt)
!=======================================================================
      implicit none
      integer n,level
      real*8  hx,gl(0:n),wgt(0:n)
 
      integer j,nh
      real*8  gl0,gln,mul,temp

      nh=n/2
      gl0=gl(0)
      gln=gl(n)
      mul=hx/(gln-gl0)
 
      do j=0,n
          gl(j)=mul*(gl(j)-gln)+hx
      enddo

      if(mul.lt.(0.d0))then
          do j=0,nh
             temp=wgt(j)
             wgt(j)  =dabs(mul)*wgt(n-j)
             wgt(n-j)=dabs(mul)*temp
          enddo
      else
          do j=0,n
             wgt(j)=dabs(mul)*wgt(j)
          enddo
      endif
 
!------------
! Print out
!------------
      if(level.lt.3) return

      temp=0.d0
      do j=0,n
          temp=temp+wgt(j)
      enddo
      print*
      print*,"Normalized G-L points on [0,",hx,"]:"
      print'(8(f10.5))',(gl(j),j=0,n)
      print*,"Normalized weights:"
      print'(8(f10.5))',(wgt(j),j=0,n)
      print*,"Sum=",temp
 
      return
      end

